Subject: RE: [AAA-WG]: Q: draft-ietf-aaa-diameter-mobileip-03.txt

From: [email-masked]
Date: Fri, 11 May 2001 11:26:16 -0500

Hi Pat,

Here's a suggested change for the sentence:
"
The Mobile IP specification as defined in [Ref] recommends mobile nodes
to have a static home address and a home agent. However this may not
be always possible in certain deployment scenarios. Recent developments
in areas that impact IP mobility in the IETF allow Mobile IP [Ref] to work 
just as well in the absence of static home agent and home address for an
MN.
"

Feel free to change it as you please. 

Cheers,
-Basavaraj

> -----Original Message-----
> From: ext Pat Calhoun [mailto:[email-masked]]
> Sent: Friday, May 11, 2001 8:53 AM
> To: Fredrik Johansson
> Cc: Patrice Calhoun; [email-masked]; [email-masked];
> [email-masked]
> Subject: Re: [AAA-WG]: Q: draft-ietf-aaa-diameter-mobileip-03.txt
> 
> 
> On Fri, May 11, 2001 at 08:18:49AM +0200, Fredrik Johansson wrote:
> > >
> > >>
> > >> Section 1.0 of draft-ietf-aaa-diameter-mobileip-03.txt
> > >> "
> > >>    The Mobile IP protocol [4] requires that mobile nodes 
> have static home
> > >>    agent and home addresses, which is not desirable in a 
> commercial
> > >>    network.
> > >> "
> > 
> > Is this realy true? 
> 
> in [4], RFC 2002, is certainly is. Additional RFCs have come out since
> then, and support for this has been added over time.
> 
> I could modify or even remove this sentence. It has added 
> many years ago,
> and times change.
> 
> PatC
> 
> > You could use the Nai extension with plain MIP and get
> > dynamic allocation of home address. However, you still need 
> the static home
> > agent address, unless you do home agent dicovery for which 
> you need your
> > home
> > network address.
> > 
> > /Fredrik
> > 
> > 
> > >>
> > >> Any specific reasons on why this is not viable or desirable in a
> > >commercial
> > >> network? Is the concern here specifically the limited 
> address space?
> > >
> > >Limited v4 address space, perhaps? Imagine next generation 
> phones all
> > >requiring a static IPv4 address. That would be bad :(
> > >
> > >PatC
> > >
> > 
>